# get_total_iter

Returns the total number of iterations.

long long get_total_iter(lprec *lp);

Return Value

get_total_iter returns the total number of iterations.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

Remarks

If the model contains integer variables then it returns the number of iterations to find a relaxed solution plus the number of iterations in the B&B process.
If the model contains no integer variables then it returns the number of iterations to find a solution.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;
      long long total_iter;

      /* Create a new LP model */
      lp = make_lp(0, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      total_iter = get_total_iter(lp);

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, get_max_level, get_total_nodes